ISORT-IDENTIFY-IMPORTS(1)

NAME
isort-identify-imports - find Python import definitions

DESCRIPTION
usage: isort-identify-imports [-h] [--top-only] [--follow-links] [--unique |

--packages | --modules | --attributes]
    files [files ...]

Get all import definitions from a given file. Use `-` as the first argument to represent stdin.

  positional arguments:

files
    One or more Python source files to search for imports.

  options:

-h, --help
    show this help message and exit

--top-only
    Only identify imports that occur in before functions or classes.

--unique
    If true, isort will only identify unique imports.

--packages
    If true, isort will only identify the unique top level modules imported.

--modules
    If true, isort will only identify the unique modules imported.

--attributes
    If true, isort will only identify the unique attributes imported.

  target options:

--follow-links
    Tells isort to follow symlinks that are encountered when running recursively.

SEE ALSO
isort(1) - sort Python import definitions

Additional documentation for isort is available online at

https://pycqa.github.io/isort/